MyGUI: MyGUI::SharedLayer Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::SharedLayer Class Reference

`#include <MyGUI_SharedLayer.h>`

Inheritance diagram for MyGUI::SharedLayer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SharedLayer | RTTIBase
Public Types inherited from MyGUI::ILayer
typedef RTTIBase | Base
typedef ILayer | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
| SharedLayer ()
| ~SharedLayer () override
void | deserialization (xml::ElementPtr _node, Version _version) override
void | setPick (bool _pick)
ILayerNode * | createChildItemNode () override
void | destroyChildItemNode (ILayerNode *_node) override
void | upChildItemNode (ILayerNode *_node) override
EnumeratorILayerNode | getEnumerator () const override
size_t | getLayerNodeCount () const override
ILayerNode * | getLayerNodeAt (size_t _index) const override
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
IntPoint | getPosition (int _left, int _top) const override
const IntSize & | getSize () const override
void | renderToTarget (IRenderTarget *_target, bool _update) override
void | resizeView (const IntSize &_viewSize) override
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayer
template<typename Type >
bool | isType () const
| ILayer ()
const std::string & | getName () const
void | setName (const std::string &_name)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
bool | mIsPick
SharedLayerNode * | mChildItem
bool | mOutOfDate
IntSize | mViewSize
Protected Attributes inherited from MyGUI::ILayer
std::string | mName

## Detailed Description

Definition at line 18 of file MyGUI_SharedLayer.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::SharedLayer::Base

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ RTTIBase

SharedLayer MyGUI::SharedLayer::RTTIBase

Definition at line 21 of file MyGUI_SharedLayer.h.

## Constructor & Destructor Documentation

## ◆ SharedLayer()

MyGUI::SharedLayer::SharedLayer | ( |  | ) |

Definition at line 16 of file MyGUI_SharedLayer.cpp.

## ◆ ~SharedLayer()

MyGUI::SharedLayer::~SharedLayer | ( |  | ) |
| override

Definition at line 24 of file MyGUI_SharedLayer.cpp.

## Member Function Documentation

## ◆ createChildItemNode()

ILayerNode * MyGUI::SharedLayer::createChildItemNode | ( |  | ) |
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 59 of file MyGUI_SharedLayer.cpp.

## ◆ deserialization()

void MyGUI::SharedLayer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::ISerializable.

Definition at line 30 of file MyGUI_SharedLayer.cpp.

## ◆ destroyChildItemNode()

void MyGUI::SharedLayer::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 71 of file MyGUI_SharedLayer.cpp.

## ◆ getClassTypeName()

static const std::string & MyGUI::SharedLayer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ getEnumerator()

EnumeratorILayerNode MyGUI::SharedLayer::getEnumerator | ( |  | ) | const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 135 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerItemByPoint()

ILayerItem * MyGUI::SharedLayer::getLayerItemByPoint | ( | int | _left,
|  | int | _top ) const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 100 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerNodeAt()

ILayerNode * MyGUI::SharedLayer::getLayerNodeAt | ( | size_t | _index | ) | const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 158 of file MyGUI_SharedLayer.cpp.

## ◆ getLayerNodeCount()

size_t MyGUI::SharedLayer::getLayerNodeCount | ( |  | ) | const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 153 of file MyGUI_SharedLayer.cpp.

## ◆ getPosition()

IntPoint MyGUI::SharedLayer::getPosition | ( | int | _left,
|  | int | _top ) const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 114 of file MyGUI_SharedLayer.cpp.

## ◆ getSize()

const IntSize & MyGUI::SharedLayer::getSize | ( |  | ) | const
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 166 of file MyGUI_SharedLayer.cpp.

## ◆ getTypeName()

virtual const std::string & MyGUI::SharedLayer::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ILayer.

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ isOutOfDate()

bool MyGUI::SharedLayer::isOutOfDate | ( |  | ) | const

Definition at line 171 of file MyGUI_SharedLayer.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::SharedLayer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SharedLayer::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ILayer.

Definition at line 21 of file MyGUI_SharedLayer.h.

## ◆ renderToTarget()

void MyGUI::SharedLayer::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 119 of file MyGUI_SharedLayer.cpp.

## ◆ resizeView()

void MyGUI::SharedLayer::resizeView | ( | const IntSize & | _viewSize | ) |
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 127 of file MyGUI_SharedLayer.cpp.

## ◆ setPick()

void MyGUI::SharedLayer::setPick | ( | bool | _pick | ) |

Definition at line 54 of file MyGUI_SharedLayer.cpp.

## ◆ upChildItemNode()

void MyGUI::SharedLayer::upChildItemNode | ( | ILayerNode * | _node | ) |
| overridevirtual

Implements MyGUI::ILayer.

Definition at line 90 of file MyGUI_SharedLayer.cpp.

## Field Documentation

## ◆ mChildItem

SharedLayerNode* MyGUI::SharedLayer::mChildItem
| protected

Definition at line 62 of file MyGUI_SharedLayer.h.

## ◆ mIsPick

bool MyGUI::SharedLayer::mIsPick
| protected

Definition at line 61 of file MyGUI_SharedLayer.h.

## ◆ mOutOfDate

bool MyGUI::SharedLayer::mOutOfDate
| protected

Definition at line 63 of file MyGUI_SharedLayer.h.

## ◆ mViewSize

IntSize MyGUI::SharedLayer::mViewSize
| protected

Definition at line 64 of file MyGUI_SharedLayer.h.

The documentation for this class was generated from the following files:

- MyGUI_SharedLayer.h
- MyGUI_SharedLayer.cpp